Summary
Create Automation
Description
Create a new Automation.
Route
POST /operations-manager/automations
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| automation |
object |
yes |
The details of the Automation document to be created. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"gbac": {
"write": [
"9cd11ff141fb942515ebd93f",
"c97ea780d66ba43bdb712d4e",
"0746eb3a5f996bd789ff18e8",
"028509292fa9ea406c78eb85",
"8735fbb6a2f6faca2f99c5e1"
],
"read": [
"fc6388e63e77b937f4c75403",
"eff8901f7f0972a44d825bd4",
"d8ba39db7a468364a8fa7f2f",
"15c88808b8efaa9c8e0b12b4",
"5af8727f7b78b3775e313e22"
]
},
"componentId": "a33edcd8bb5dd3439e4ca375"
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| results |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"createdBy": "Pronghorn",
"created": "1968-06-24T14:00:30.337Z",
"lastUpdatedBy": "9924c145240eb2829e8a20b0",
"lastUpdated": "2007-03-09T03:18:00.345Z",
"_id": "5b12071ac0dc316fba7757a5",
"gbac": {
"write": [
"6348f0c54be8cb81908d4cfb",
"a63bdde946926268adf783aa",
"7e5a3705e446fc23a492bbe6",
"33663dbdd1c052181e23dce8"
],
"read": [
"49631c38e40a0318711a3e76",
"78b5198bce2388f4fa2a5d29",
"f7693d5c4ed6fee2ab02e986",
"8145bf13787072c7a64e53f8",
"8a10dc01426f76595a8e26e1"
]
},
"componentId": "9dbde6e6-F1d5-5e01-3aE4-ADCC0D2DbAb5"
}
}